<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <RootNamespace>WebViewControl</RootNamespace>
    <AssemblyTitle>WebViewControl Avalonia</AssemblyTitle>
    <Description>WebViewControl for Avalonia powered by CefGlue</Description>
    <Configuration></Configuration>
    <Company></Company>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <PackageId>WebViewControl-Avalonia$(PackageSuffix)</PackageId>
    <Configurations>Debug;Release;ReleaseAvalonia;ReleaseWPF;ReleaseAvaloniaRemoteDebugSupport</Configurations>
    <Platforms>AnyCPU;x64</Platforms>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'ReleaseAvaloniaRemoteDebugSupport'">
    <DefineConstants>REMOTE_DEBUG_SUPPORT</DefineConstants>
    <PackageId>WebViewControl-Avalonia-RemoteDebugSupport$(PackageSuffix)</PackageId>
    <Optimize>true</Optimize>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'ReleaseAvalonia'">
    <Optimize>true</Optimize>
  </PropertyGroup>

  <ItemGroup>
    <!--When we upload Avalonia here, we should increase the version of both WebViewControl.Avalonia as well as ReactViewControl.Avalonia-->
    <PackageReference Include="Avalonia" Version="11.0.10" />
    <PackageReference Include="CefGlue.Avalonia" Version="120.6099.205">
      <PrivateAssets>None</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.CSharp" Version="4.5.0" />
    <PackageReference Include="System.Runtime.Loader" Version="4.3.0" />
  </ItemGroup>
</Project>
